<div class="flex min-w-0 flex-1 flex-col overflow-hidden">
  <main class="flex flex-1 overflow-hidden">
    <div class="flex flex-1 flex-col overflow-y-auto xl:overflow-hidden">
      <!-- breadcrumbs -->
      <nav aria-label="Breadcrumb" class="border-b border-orange-gray-200 bg-white">
        <div class="mx-auto flex max-w-3xl items-start py-3 px-4 sm:px-6 lg:px-8">
          <%= link_to root_path, class: "-ml-1 inline-flex items-center space-x-3 text-sm font-medium text-orange-gray-900" do %>
            <svg class="h-5 w-5 text-orange-gray-400" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
              <path fill-rule="evenodd" d="M12.79 5.23a.75.75 0 01-.02 1.06L8.832 10l3.938 3.71a.75.75 0 11-1.04 1.08l-4.5-4.25a.75.75 0 010-1.08l4.5-4.25a.75.75 0 011.06.02z" clip-rule="evenodd"/>
            </svg>
            <span>Home</span>
          <% end %>
        </div>
      </nav>

      <div class="flex flex-1 xl:overflow-hidden">
        <div class="flex-1 xl:overflow-y-auto">
          <div class="mx-auto max-w-3xl py-10 px-4 sm:px-6 lg:py-12 lg:px-8">
            <% if notice.present? %>
              <p class="py-2 px-3 bg-purple-600 mb-5 text-purple-600 font-medium rounded-lg inline-block" id="notice"><%= notice %></p>
            <% end %>
            <h1 class="text-3xl font-bold tracking-tight text-gray-900">Account</h1>

            <%= turbo_frame_tag resource do %>
              <%= form_for resource, as: resource_name, url: user_registration_path, html: { method: :patch }, class: "divide-y-gray-200 mt-6 space-y-8 divide-y" do |form| %>
                <%= render "users/shared/error_messages", resource: resource %>
                <div class="grid grid-cols-1 gap-y-6 sm:grid-cols-6 sm:gap-x-6">
                  <div class="sm:col-span-6">
                    <h2 class="text-xl font-medium text-gray-900">Profile</h2>
                    <p class="mt-1 text-sm text-gray-500">This information will be displayed publicly so be careful what
                      you share.</p>
                  </div>

                  <div class="sm:col-span-6">
                    <label for="photo" class="block text-sm font-medium text-gray-900">Avatar</label>
                    <div class="mt-1 flex items-center">
                      <%= image_tag profile_image_url(current_user, 256), class: "inline-block h-12 w-12 rounded-full", alt: current_user.email %>
                      <div class="ml-4 flex">
                        <div class="relative flex cursor-pointer items-center rounded-md border border-gray-300 bg-white py-2 px-3 shadow-sm focus-within:outline-none focus-within:ring-2 focus-within:ring-orange-500 focus-within:ring-offset-2 focus-within:ring-offset-gray-50 hover:bg-gray-50">
                          <label for="avatar" class="pointer-events-none relative text-sm font-medium text-gray-900">
                            <span>Change</span>
                            <span class="sr-only"> user photo</span>
                          </label>
                          <%= form.file_field :avatar, multiple: false, direct_upload: true, class: "absolute inset-0 h-full w-full cursor-pointer rounded-md border-gray-300 opacity-0" %>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="grid grid-cols-1 gap-y-6 pt-8 sm:grid-cols-6 sm:gap-x-6">
                  <div class="sm:col-span-6">
                    <h2 class="text-xl font-medium text-gray-900">Personal Information</h2>
                    <p class="mt-1 text-sm text-gray-500">This information will be displayed publicly so be careful
                      what you share.</p>
                  </div>

                  <div class="sm:col-span-3">
                    <label for="email-address" class="block text-sm font-medium text-gray-900">Email address</label>
                    <input type="text" disabled name="email-address" id="email-address" autocomplete="email" value="<%= current_user.email %>" class="mt-1 block w-full rounded-md bg-gray-100 border-gray-300 text-gray-900 shadow-sm focus:border-orange-500 focus:ring-orange-500 sm:text-sm">
                  </div>

                  <p class="text-sm text-gray-500 sm:col-span-6">This account was created
                    <time datetime="<%= current_user.created_at %>"><%= time_ago_in_words current_user.created_at %></time>
                    ago.
                  </p>
                </div>

                <div class="flex justify-end pt-8">
                  <%= form.button "Save", type: "submit", class: "ml-3 inline-flex justify-center rounded-md border border-transparent bg-orange-600 py-2 px-4 text-sm font-medium text-white shadow-sm hover:bg-orange-700 focus:outline-none focus:ring-2 focus:ring-orange-500 focus:ring-offset-2" %>
                </div>
              <% end %>
            <% end %>
          </div>
        </div>
      </div>
    </div>
  </main>
</div>
